///////////////////////////////////////////////////////////////////////
//
// CLabelledLine: 
//
///////////////////////////////////////////////////////////////////////
//
// Copyright (c) 1998-99 by the IBM Corporation. All Rights Reserved.
//
// Author:          Barry M. Trager   bmt@watson.ibm.com
//                  Angel L. Diaz     aldiaz@us.ibm.com                  
//
// IBM MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
// THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
// TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
// PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR
// ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING OR MODIFYING
// THIS SOFTWARE OR ITS DERIVATIVES.
//
///////////////////////////////////////////////////////////////////////

import java.awt.*;

public class CLabelledLine extends Line
{
	public String label;

	CLabelledLine(Line line, String text) 
	{
		super(line.start, line.end);
		label=text;
	}

	CLabelledLine(Point start, Point end) 
	{
		this(start, end, "");
	}

	CLabelledLine(Point start, Point end, String text) 
	{
		super(start, end);
		label = text;
	}
}

